#include <iostream>
#include <vector>
#include <conio.h>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>
using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in, bool prompt)
{
    size_t number_count;
    if (prompt)
    {
        cerr << "Enter number count: ";
    }
    in >> number_count;

    Input ik;
    ik.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        in >> ik.numbers[i];
    }
    if (prompt)
    {
        cerr << "Enter bin count: ";
    }
    in>> ik.bin_count;
    return ik;
}



int main()
{
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    getch();
    return 0;
}
